import { SelectionValue } from './selection-value';
/**
 * Abstract class used to represent components where a single option is selected
 * from a set of options.
 */
export declare abstract class SingleSelectionValue extends SelectionValue {
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Index of the selected option; `-1` when none of the available options is
     * selected.
     */
    readonly selectedOptionIndex: number;
}
