import { InlineValue } from '../../abstract/inline-value';
/**
 * HTML string of the checkbox component.
 */
export declare const checkboxComponentHtml: string;
/**
 * LF checkbox component.
 */
export declare class CheckboxComponent extends InlineValue {
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Action to run whenever the value of the checkbox changes.
     * @param evt `change` event.
     */
    _onCheckboxChange(evt: any): void;
    /**
     * @override
     */
    protected validatePath(): void;
}
