import { LfI18n, LfRouter, LfStorage } from '@lightweightform/core';
import { ActionsMenuAction } from '../actions-menu/actions-menu.component';
import { AppComponent } from '../app/app.component';
/**
 * HTML string of the top-bar component.
 */
export declare const topBarComponentHtml: string;
/**
 * Key used to translate the "retry validation" help message of fields.
 */
export declare const I18N_TOP_BAR_RETRY_VALIDATION_KEY = "LF_TOP_BAR_RETRY_VALIDATION";
/**
 * LF component used to display the "top-bar" of an application.
 */
export declare class TopBarComponent {
    private lfStorage;
    private lfRouter;
    private lfI18n;
    protected _appComponent: AppComponent;
    _actionsLabelText: string;
    _retryValidationText: string;
    actions: ActionsMenuAction[];
    constructor(lfStorage: LfStorage, lfRouter: LfRouter, lfI18n: LfI18n, _appComponent: AppComponent);
    readonly rootUrl: string;
    readonly retryValidationText: string;
    readonly appHasPendingValidation: boolean;
    readonly shouldShowAppRecompute: boolean;
    recomputeAppStateProperties(): void;
    readonly isTreeNavVisible: boolean;
    showTreeNav(): void;
}
